Package org.eclipse.birt.core.framework

# Class FrameworkException

java.lang.Object
java.lang.Throwable
java.lang.Exception
org.eclipse.birt.core.exception.BirtException
org.eclipse.birt.core.framework.FrameworkException

All Implemented Interfaces:
  `Serializable`

public class FrameworkException extends BirtException
A checked exception representing a failure.

Core exceptions contain a status object describing the cause of the exception.

See Also:
  - `IStatus`
  - Serialized Form

## Field Summary

Fields
Modifier and Type
Field
Description
`protected static String`
`pluginId`
`protected static com.ibm.icu.util.UResourceBundle`
`urb`

### Fields inherited from class org.eclipse.birt.core.exception.BirtException

`CANCEL, ERROR, INFO, oaMessageArguments, OK, rb, severity, sResourceKey, WARNING`

## Constructor Summary

Constructors
Constructor
Description
`FrameworkException(String errorCode)`
`FrameworkException(String errorCode, Object[] args)`
`FrameworkException(String errorCode, Object[] args, Throwable cause)`
`FrameworkException(String errorCode, Throwable cause)`

## Method Summary

### Methods inherited from class org.eclipse.birt.core.exception.BirtException

`getErrorCode, getLocalizedMessage, getLocalizedMessage, getMessage, getPluginId, getSeverity, setSeverity`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### pluginId

protected static String pluginId

### urb

protected static com.ibm.icu.util.UResourceBundle urb

## Constructor Details

### FrameworkException

public FrameworkException(String errorCode)

### FrameworkException

public FrameworkException(String errorCode, Throwable cause)

### FrameworkException

public FrameworkException(String errorCode, Object[] args)

### FrameworkException

public FrameworkException(String errorCode, Object[] args, Throwable cause)